package net.northking.cctp.device.bus.feign.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.util.Date;

public class CltDictCatalog {
    /**
     * 主键ID<br>
     */
    @ApiModelProperty("主键ID")
    @Size(max = 32, message="主键ID-id: 数据长度不能 > 32" )
    private String id;
    /**
     * 字典类型编码<br>
     */
    @ApiModelProperty("字典类型编码")
    @Size(max = 30, message="字典类型编码-catalogCode: 数据长度不能 > 30" )
    private String catalogCode;
    /**
     * 字典类型名称<br>
     */
    @ApiModelProperty("字典类型名称")
    @Size(max = 255, message="字典类型名称-catalogName: 数据长度不能 > 255" )
    private String catalogName;
    /**
     * 语言地区<br>
     */
    @ApiModelProperty("语言地区")
    @Size(max = 20, message="语言地区-dictLocal: 数据长度不能 > 20" )
    private String dictLocal;
    /**
     * 是否系统默认（0否 1是）<br>
     */
    @ApiModelProperty("是否系统默认（0否 1是）")
    private Boolean systemDefault;
    /**
     * 是否启用（0禁用 1启用）<br>
     */
    @ApiModelProperty("是否启用（0禁用 1启用）")
    private Boolean enabled;
    /**
     * 是否展示（0不展示 1展示）<br>
     */
    @ApiModelProperty("是否展示（0不展示 1展示）")
    private Boolean show;
    /**
     * 创建人<br>
     */
    @ApiModelProperty("创建人")
    @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
    private String createdBy;
    /**
     * 创建时间<br>
     */
    @ApiModelProperty("创建时间")
    private Date createdTime;
    /**
     * 更新人<br>
     */
    @ApiModelProperty("更新人")
    @Size(max = 32, message="更新人-updatedBy: 数据长度不能 > 32" )
    private String updatedBy;
    /**
     * 更新时间<br>
     */
    @ApiModelProperty("更新时间")
    private Date updatedTime;
    /**
     * 租户<br>
     */
    @ApiModelProperty("租户")
    @Size(max = 32, message="租户-tenantId: 数据长度不能 > 32" )
    private String tenantId;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCatalogCode() {
        return catalogCode;
    }

    public void setCatalogCode(String catalogCode) {
        this.catalogCode = catalogCode;
    }

    public String getCatalogName() {
        return catalogName;
    }

    public void setCatalogName(String catalogName) {
        this.catalogName = catalogName;
    }

    public String getDictLocal() {
        return dictLocal;
    }

    public void setDictLocal(String dictLocal) {
        this.dictLocal = dictLocal;
    }

    public Boolean getSystemDefault() {
        return systemDefault;
    }

    public void setSystemDefault(Boolean systemDefault) {
        this.systemDefault = systemDefault;
    }

    public Boolean getEnabled() {
        return enabled;
    }

    public void setEnabled(Boolean enabled) {
        this.enabled = enabled;
    }

    public Boolean getShow() {
        return show;
    }

    public void setShow(Boolean show) {
        this.show = show;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }
}
